package com.community.huiju.dao;

import com.community.huiju.model.ToSysMenu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ToSysMenuMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(ToSysMenu record);

    int insertSelective(ToSysMenu record);

    ToSysMenu selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ToSysMenu record);

    int updateByPrimaryKey(ToSysMenu record);

    /**
     * 根据 parentId 查询菜单
     * @param parentId 父级菜单ID
     * @param menuType 菜单类型 0 页面菜单  1功能菜单
     * @return
     */
    List<ToSysMenu> selectParentId(@Param("parentId") Integer parentId, @Param("menuType") Integer menuType);

    /**
     * 批量添加 菜单
     * @param menuList
     * @return
     */
    int banchInsert (List<ToSysMenu> menuList);
}